summaryrefslogtreecommitdiff
path: root/tsp
diff options
context:
space:
mode:
authorAleksander Mistewicz <a.mistewicz@samsung.com>2017-04-19 08:59:53 (GMT)
committerAleksander Mistewicz <a.mistewicz@samsung.com>2017-08-08 08:17:56 (GMT)
commite7b8edff5a2a5231cfacfda973f4f7ef280fb088 (patch)
tree0135f706eda9393a94aa3f25d8afdc1f125c933d /tsp
parent24ed88794ed1fd82ba7ac9256fc2d75ae66d95d8 (diff)
downloadmajor-e7b8edff5a2a5231cfacfda973f4f7ef280fb088.zip
major-e7b8edff5a2a5231cfacfda973f4f7ef280fb088.tar.gz
major-e7b8edff5a2a5231cfacfda973f4f7ef280fb088.tar.bz2
Add RaspberryPi 3 to TITSrefs/changes/24/130924/3
Database update is required. Delete it or run: . tsp/common.sh sqlite3 "${DBPATH}" -batch < tsp/results-values-device.sql Change-Id: I220f060a7186b047a2d55271beab1aafc4398863
Diffstat (limited to 'tsp')
-rwxr-xr-xtsp/common.sh9
-rw-r--r--tsp/image_map.example2
-rwxr-xr-xtsp/jobs/common_prep_flash_conf.sh4
-rwxr-xr-xtsp/jobs/img_test_common.sh2
-rw-r--r--tsp/results-values-device.sql1
-rwxr-xr-xtsp/scripts/common_prep_flash_conf.sh10
-rw-r--r--tsp/tree_unified2
7 files changed, 25 insertions, 5 deletions
diff --git a/tsp/common.sh b/tsp/common.sh
index 75c9f9d..69f20fa 100755
--- a/tsp/common.sh
+++ b/tsp/common.sh
@@ -32,7 +32,8 @@ die() {
# * minnow32, minnow64
# * common-odroid, tv-odroid
# * mbr64
-TARGET_LIST="artik10 headless-artik5 mbr64 minnow64 minnow32 common-odroid tv-odroid ivi-odroid"
+# * rpi3
+TARGET_LIST="artik10 headless-artik5 mbr64 minnow64 minnow32 common-odroid tv-odroid ivi-odroid rpi3"
test -z "${TSP_DIR}" || export TS_ONFINISH="${TSP_DIR}/scripts/log.sh"
@@ -143,6 +144,9 @@ get_userspace_dir() {
*tv-odroid*)
USR_DIR="$(find "${DWN_WORKDIR}/" -type d -name "tv-wayland*-armv7l-odroidu3")"
;;
+ *rpi3*)
+ USR_DIR="$(find "${DWN_WORKDIR}/" -type d -name "*-headless-*-armv7l-rpi3")"
+ ;;
*headless-artik*)
USR_DIR="$(find "${DWN_WORKDIR}/" -type d -name "*-headless-*-armv7l-artik")"
;;
@@ -181,6 +185,9 @@ get_boot_dir() {
*tv-odroid*)
BOOT_DIR="$(find "${DWN_WORKDIR}/" -type d -name "tv-boot-armv7l-odroidu3")"
;;
+ *rpi3*)
+ BOOT_DIR="$(find "${DWN_WORKDIR}/" -type d -name "*-boot-arm64-rpi3")"
+ ;;
*artik5*)
BOOT_DIR="$(find "${DWN_WORKDIR}/" -type d -name "*-boot-armv7l-artik5")"
;;
diff --git a/tsp/image_map.example b/tsp/image_map.example
index 1fdd498..29e3159 100644
--- a/tsp/image_map.example
+++ b/tsp/image_map.example
@@ -10,3 +10,5 @@ emulator-wayland-mbr-i586
wayland-efi-i586
wayland-efi-x86_64
minimal-mbr-x86_64
+boot-arm64-rpi3
+headless-2parts-armv7l-rpi3
diff --git a/tsp/jobs/common_prep_flash_conf.sh b/tsp/jobs/common_prep_flash_conf.sh
index 210e9ce..8b5e7ce 100755
--- a/tsp/jobs/common_prep_flash_conf.sh
+++ b/tsp/jobs/common_prep_flash_conf.sh
@@ -41,7 +41,7 @@ update_db "${SR}" "Testing" "$BUILD_NR" "$TARGET"
USR_IMG_DIR="$(get_userspace_dir "${TARGET}" "${DWN_WORKDIR}")"
case "$TARGET" in
- *odroid*|*artik*)
+ *odroid*|*artik*|*rpi3*)
BOOT_IMG="$(ls "$(get_boot_dir "${TARGET}" "${DWN_WORKDIR}")"/*.tar.gz)"
test -f "${BOOT_IMG}" || BOOT_IMG="$(ls "$(get_boot_dir "${TARGET}" "${SNAPSHOT_WS_DOWNLOAD}-${PROFILE}")"/*.tar.gz)"
USERSPACE_IMG="$(ls "${USR_IMG_DIR}"/*.tar.gz)"
@@ -89,7 +89,7 @@ ssh tl-runner "rm -rf \"${WORKDIR_REMOTE}\"; mkdir -p \"${WORKDIR_REMOTE}\"" ||
# Copy required files
case "$TARGET" in
- *odroid*|*artik*)
+ *odroid*|*artik*|*rpi3*)
scp "${USERSPACE_IMG}" "${BOOT_IMG}" tl-runner:"${WORKDIR_REMOTE}/" || retrigger "ssh: copy failed"
;;
*minnow*)
diff --git a/tsp/jobs/img_test_common.sh b/tsp/jobs/img_test_common.sh
index f349fcb..9d9adfe 100755
--- a/tsp/jobs/img_test_common.sh
+++ b/tsp/jobs/img_test_common.sh
@@ -71,7 +71,7 @@ USR_IMG_DIR="$(get_userspace_dir "${TARGET}" "${DWN_WORKDIR}")" \
DIFF_FILE1="${USR_IMG_DIR}/diff.report"
case "${TARGET}" in
- *artik*|*odroid*)
+ *artik*|*odroid*|*rpi3*)
DIFF_FILE2="$(get_boot_dir "${TARGET}" "${DWN_WORKDIR}")/diff.report" \
|| report_no_image "${DWN_WORKDIR}" "${BUILD_NR}" "${TARGET}" || die "No image"
;;
diff --git a/tsp/results-values-device.sql b/tsp/results-values-device.sql
index 948e702..14dc0eb 100644
--- a/tsp/results-values-device.sql
+++ b/tsp/results-values-device.sql
@@ -8,3 +8,4 @@ INSERT OR IGNORE INTO device VALUES (NULL, "artik5");
INSERT OR IGNORE INTO device VALUES (NULL, "headless-artik5");
INSERT OR IGNORE INTO device VALUES (NULL, "artik10");
INSERT OR IGNORE INTO device VALUES (NULL, "headless-artik10");
+INSERT OR IGNORE INTO device VALUES (NULL, "rpi3");
diff --git a/tsp/scripts/common_prep_flash_conf.sh b/tsp/scripts/common_prep_flash_conf.sh
index 195e6bf..85842ad 100755
--- a/tsp/scripts/common_prep_flash_conf.sh
+++ b/tsp/scripts/common_prep_flash_conf.sh
@@ -31,6 +31,10 @@ case "$TARGET" in
USR_IMG="$(pwd)/$(ls tizen-*-wayland-*odroid*.tar.gz)"
test -f "$USR_IMG" || USR_IMG="$(pwd)/$(ls tizen-*-target-*odroid*.tar.gz)"
;;
+ *rpi3*)
+ BOOT_IMG="$(pwd)/$(ls tizen-*-boot-*rpi3*.tar.gz)"
+ USR_IMG="$(pwd)/$(ls tizen-*-headless-*rpi3*.tar.gz)"
+ ;;
*artik*)
BOOT_IMG="$(pwd)/$(ls tizen-*-boot-*artik*.tar.gz)"
USR_IMG="$(pwd)/$(ls tizen-*-3parts-*artik*.tar.gz)"
@@ -69,7 +73,7 @@ echo "sdmux allocated: ${SDMUX}"
clean() {
case "$TARGET" in
- *odroid*|*artik*)
+ *odroid*|*artik*|*rpi3*)
rm -v "$USR_IMG" "$BOOT_IMG"
;;
*minnow*)
@@ -95,6 +99,10 @@ case "$TARGET" in
"${TESTLAB_MAJOR}/tct/odroid_prepare_flash_conf.sh" "$SDMUX" "$USR_IMG" "$BOOT_IMG" || failed "Flash failed"
"${TESTLAB_MAJOR}/tct/odroid_run.sh" "$SDMUX"
;;
+ *rpi3*)
+ "${TESTLAB_MAJOR}/tct/rpi3_prepare_flash_conf.sh" "$SDMUX" "$USR_IMG" "$BOOT_IMG" || failed "Flash failed"
+ "${TESTLAB_MAJOR}/tct/rpi3_run.sh" "$SDMUX"
+ ;;
*artik*)
"${TESTLAB_MAJOR}/tct/artik_prepare_flash_conf.sh" "$SDMUX" "$USR_IMG" "$BOOT_IMG" || failed "Flash failed"
"${TESTLAB_MAJOR}/tct/odroid_run.sh" "$SDMUX"
diff --git a/tsp/tree_unified b/tsp/tree_unified
index 5ff8a8f..e49ff86 100644
--- a/tsp/tree_unified
+++ b/tsp/tree_unified
@@ -19,3 +19,5 @@ images/standard/tv-boot-armv7l-odroidu3/MD5SUMS
images/standard/common-installer-mbr-i586/MD5SUMS
images/standard/common-wayland-efi-x86_64/MD5SUMS
images/standard/ivi-target-odroidxu3/MD5SUMS
+images/standard/common-boot-arm64-rpi3/MD5SUMS
+images/standard/common-headless-2parts-armv7l-rpi3/MD5SUMS